# BEGIN SourceDeps(oneline):
BuildRequires: python-devel
# END SourceDeps(oneline)
Name:       ibus-table
Version:    1.5.0
Release:    alt1_2
Summary:    The Table engine for IBus platform
License:    LGPLv2+
Group:      System/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://mfabian.fedorapeople.org/ibus-table/%{name}-%{version}.tar.gz
Patch1:     ibus-table-1.3.9.20110827-uppercase-umlauts.patch
Patch2:     0001-Changes-in-dconf-values-now-get-applied-immediately.patch
Patch3:     0001-Make-comments-about-_chinese_mode-clearer.patch
Patch4:     0002-Improve-detection-of-simplified-and-traditional-Chin.patch
Patch5:     0003-add-engine-chinese_variants.py-to-engine-Makefile.am.patch
Patch6:     add-engine-chinese_variants.py-to-engine-Makefile.in.patch
Patch7:     0001-Fix-typo-thanks-to-Mathieu-Bridon.patch
Patch8:     0002-Add-auto_select-functionality-to-select-the-first-ph.patch
Patch9:     0003-Update-cmode-pproperty-in-chinese-mode-only.patch
Patch10:    0004-Fall-back-to-auto_select-False-if-neither-dconf-nor-.patch
Patch11:    0005-Preedit-needs-to-be-updated-on-page-up-and-page-down.patch

BuildRequires:  libibus-devel > 1.3.0

Obsoletes:   ibus-table-additional < 1.2.0.20100111-5

BuildArch:  noarch
Source44: import.info

%description
The Table engine for IBus platform.

%package -n %{name}-devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description -n %{name}-devel
Development files for %{name}.

%prep
%setup -q
%patch1 -p1 -b .uppercase-umlauts
%patch2 -p1 -b .apply-dconf-changes
%patch3 -p1 -b .make-comments-about-chinese-mode-clearer
%patch4 -p1 -b .improve-detection-of-simplified-and-traditional-chinese
%patch5 -p1 -b .fix-makefile-am
%patch6 -p1 -b .fix-makefile-in
%patch7 -p1 -b .fix-typo
%patch8 -p1 -b .add-auto-select
%patch9 -p1 -b .update-cmode-in-chinese-mode-only
%patch10 -p1 -b .fall-back-to-auto-select-false-by-default
%patch11 -p1 -b .preedit-needs-to-be-updated-when-paging

%build
%configure --disable-static --disable-additional
%__make %{?_smp_mflags}

%install
%__make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install pkgconfigdir=%{_datadir}/pkgconfig

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/engine
%dir %{_datadir}/%{name}/tables
%dir %{_datadir}/%{name}/icons
%dir %{_datadir}/%{name}/data
%{_datadir}/ibus/component/table.xml
%{_datadir}/%{name}/icons/%{name}.svg
%{_datadir}/%{name}/icons/full-letter.svg
%{_datadir}/%{name}/icons/full-punct.svg
%{_datadir}/%{name}/icons/half-letter.svg
%{_datadir}/%{name}/icons/half-punct.svg
%{_datadir}/%{name}/icons/onechar.svg
%{_datadir}/%{name}/icons/phrase.svg
%{_datadir}/%{name}/icons/py-mode.svg
%{_datadir}/%{name}/icons/tab-mode.svg
%{_datadir}/%{name}/icons/chinese.svg
%{_datadir}/%{name}/icons/acommit.svg
%{_datadir}/%{name}/icons/english.svg
%{_datadir}/%{name}/icons/ncommit.svg
%{_datadir}/%{name}/icons/cb-mode.svg
%{_datadir}/%{name}/icons/sc-mode.svg
%{_datadir}/%{name}/icons/scb-mode.svg
%{_datadir}/%{name}/icons/tc-mode.svg
%{_datadir}/%{name}/icons/tcb-mode.svg
%{_datadir}/%{name}/data/pinyin_table.txt.bz2
%{_datadir}/%{name}/engine/chinese_variants.py
%{_datadir}/%{name}/engine/chinese_variants.pyc
%{_datadir}/%{name}/engine/chinese_variants.pyo
%{_datadir}/%{name}/engine/factory.py
%{_datadir}/%{name}/engine/factory.pyc
%{_datadir}/%{name}/engine/factory.pyo
%{_datadir}/%{name}/engine/main.py
%{_datadir}/%{name}/engine/main.pyc
%{_datadir}/%{name}/engine/main.pyo
%{_datadir}/%{name}/engine/tabcreatedb.py
%{_datadir}/%{name}/engine/tabcreatedb.pyc
%{_datadir}/%{name}/engine/tabcreatedb.pyo
%{_datadir}/%{name}/engine/tabdict.py
%{_datadir}/%{name}/engine/tabdict.pyc
%{_datadir}/%{name}/engine/tabdict.pyo
%{_datadir}/%{name}/engine/table.py
%{_datadir}/%{name}/engine/table.pyc
%{_datadir}/%{name}/engine/table.pyo
%{_datadir}/%{name}/engine/tabsqlitedb.py
%{_datadir}/%{name}/engine/tabsqlitedb.pyc
%{_datadir}/%{name}/engine/tabsqlitedb.pyo
%{_datadir}/%{name}/tables/template.txt
%{_bindir}/%{name}-createdb
%{_libexecdir}/ibus-engine-table

%files devel
%{_datadir}/pkgconfig/%{name}.pc

%changelog
* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.0-alt1_2
- update to new release by fcimport

* Thu Feb 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.99.20130110-alt1_1
- initial fc import

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.99.20121113-alt1_1
- initial fc import

